From d12256981271c8688fab9208673aff1c4577590d Mon Sep 17 00:00:00 2001
From: Mirko Vukovic <mirko.vukovic@gmail.com>
Date: Sun, 22 Nov 2015 16:41:05 -0500
Subject: [PATCH] Enable antik readtable on CCL

Prior code was redefining the # dispatching macro character.
This would obliterate the prior dispatch character definitions on CCL
including standard ones such as #C(...) #(   )
I removed this particular statement.  Antik looked fine after that.
---
 input-output/readtable.lisp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/input-output/readtable.lisp b/input-output/readtable.lisp
index 2481597..938d6b5 100644
--- a/input-output/readtable.lisp
+++ b/input-output/readtable.lisp
@@ -1,6 +1,6 @@
 ;; Define a new readtable
 ;; Liam Healy 2014-09-28 22:27:28EDT readtable.lisp
-;; Time-stamp: <2015-04-17 17:44:34EDT readtable.lisp>
+;; Time-stamp: <2015-11-13 13:50:03Eastern Standard Time readtable.lisp>
 
 ;; Copyright 2014, 2015 Liam M. Healy
 ;; Distributed under the terms of the GNU General Public License
@@ -23,7 +23,7 @@
 
 (named-readtables:defreadtable :antik
   (:merge :standard)
-  (:macro-char #\# :dispatch))
+  #-ccl(:macro-char #\# :dispatch))
 
 (defun set-reader (&optional (readtable t) (default-float 'double-float))
   "If readtable is true, set the reader to enable the three Antik reader macros #_ (physical dimension quantity), #d (date/time), #m (grid). Set the reader to interpret float literals without an exponent marker to be the type specified. If nil, leave as-is."
-- 
2.6.2

